pub const GAME_SCALE_DISTANCE: f64 = 0.000_156_786_5; // 1000 / EARTH_RADIUS_RL
pub const GAME_SCALE_MASS: f64 = 0.000_000_000_000_000_000_000_669_792_364_367_046_3; // 4000 / EARTH_MASS_RL
pub const GAME_SCALE_TIME: f64 = 0.000_514_403_292_181_07; // 1200 / MOON_ORBIT_TIME_RL
pub const GAME_ORBITS_ENABLED: bool = true;

pub const EARTH_RADIUS_BIAS: f64 = 1.0;
pub const EARTH_MASS_BIAS: f64 = 1.0;

pub const EARTH_RADIUS_RL: f64 = 6_378_100.0;
pub const EARTH_RADIUS: f64 = EARTH_RADIUS_RL * GAME_SCALE_DISTANCE * EARTH_RADIUS_BIAS;
pub const EARTH_MASS_RL: f64 = 5_972_000_000_000_000_000_000_000.0;
pub const EARTH_MASS: f64 = EARTH_MASS_RL * GAME_SCALE_MASS * EARTH_MASS_BIAS;

pub const MOON_RADIUS_BIAS: f64 = 1.0;
pub const MOON_MASS_BIAS: f64 = 2.0;
pub const MOON_PERIAPSIS_BIAS: f64 = 0.1;
pub const MOON_APOAPSIS_BIAS: f64 = 0.1;
pub const MOON_ORBIT_TIME_BIAS: f64 = 1.0;

pub const MOON_RADIUS_RL: f64 = 1_737_400.0;
pub const MOON_RADIUS: f64 = MOON_RADIUS_RL * GAME_SCALE_DISTANCE * MOON_RADIUS_BIAS;
pub const MOON_MASS_RL: f64 = 73_476_730_900_000_000_000_000.0;
pub const MOON_MASS: f64 = MOON_MASS_RL * GAME_SCALE_MASS * MOON_MASS_BIAS;
pub const MOON_PERIAPSIS: f64 = 363_228_900.0 * GAME_SCALE_DISTANCE * MOON_PERIAPSIS_BIAS;
pub const MOON_APOAPSIS: f64 = 405_400_000.0 * GAME_SCALE_DISTANCE * MOON_APOAPSIS_BIAS;
pub const MOON_ORBIT_TIME_RL: f64 = 2_332_800.0;
pub const MOON_ORBIT_TIME: f64 = MOON_ORBIT_TIME_RL * GAME_SCALE_TIME * MOON_ORBIT_TIME_BIAS;

pub const MARS_RADIUS_BIAS: f64 = 1.0;
pub const MARS_MASS_BIAS: f64 = 10.0;
pub const MARS_PERIHELION_BIAS: f64 = 0.5;
pub const MARS_APHELION_BIAS: f64 = 0.5;
pub const MARS_ORBIT_TIME_BIAS: f64 = 0.2;

pub const MARS_RADIUS_RL: f64 = 3_390_000.0;
pub const MARS_RADIUS: f64 = MARS_RADIUS_RL * GAME_SCALE_DISTANCE * MARS_RADIUS_BIAS;
pub const MARS_MASS_RL: f64 = 63_900_000_000_000_000_000_000.0;
pub const MARS_MASS: f64 = MARS_MASS_RL * GAME_SCALE_MASS * MARS_MASS_BIAS;
pub const MARS_PERIHELION: f64 = 206_700_000.0 * GAME_SCALE_DISTANCE * MARS_PERIHELION_BIAS;
pub const MARS_APHELION: f64 = 249_200_000.0 * GAME_SCALE_DISTANCE * MARS_APHELION_BIAS;
pub const MARS_ORBIT_TIME_RL: f64 = 59_360_000.0;
pub const MARS_ORBIT_TIME: f64 = MARS_ORBIT_TIME_RL * GAME_SCALE_TIME * MARS_ORBIT_TIME_BIAS;
